gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Interfaces.ImplementorIface

Contents

- Exported types

Description

The AtkImplementor interface is implemented by objects for which AtkObject peers may be obtained via calls to iface->(ref_accessible)(implementor);

Synopsis

- newtype ImplementorIface = ImplementorIface (ManagedPtr ImplementorIface)
- noImplementorIface :: Maybe ImplementorIface
- class ManagedPtrNewtype a => IsImplementorIface a

# Exported types

newtype ImplementorIface Source #

Memory-managed wrapper type.

Constructors

ImplementorIface (ManagedPtr ImplementorIface) |

Instances

WrappedPtr ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface Methods wrappedPtrCalloc :: IO (Ptr ImplementorIface) Source # wrappedPtrCopy :: ImplementorIface -> IO ImplementorIface Source # wrappedPtrFree :: Maybe (FunPtr (Ptr ImplementorIface -> IO ())) Source #
IsImplementorIface ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface

noImplementorIface :: Maybe ImplementorIface Source #

A convenience alias for `Nothing` :: `Maybe` `ImplementorIface`.

class ManagedPtrNewtype a => IsImplementorIface a Source #

Type class for types which implement `ImplementorIface`.

Instances

IsImplementorIface ImplementorIface Source # |
Instance details Defined in GI.Atk.Interfaces.ImplementorIface